// pages/center/center.js
var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userAvatar: '',
    token: '',
    userInfo: {},
    usercenterUrl: app.usercenterUrl,
    sourcePath: '/route/file/downloadfile/true/',
    randomName: '',
    showPhone: true,
    phone: '',
    code: '',
    gotCode: false,
    restTime: 120,
    timer: ''
  },
  // 选择头像来源
  changeAvatar: function () {
    var self = this
    wx.showActionSheet({
      itemList: ['从相册中选择','拍照'],
      success: function (res) {
        if (!res.cancel) {
          if (res.tapIndex == 0) {
            self.chooseAvatar('album')
          } else {
            self.chooseAvatar('camera')
          }
        }
      }
    })
  },
  // 选择图片
  chooseAvatar: function (type) {
    var self = this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: [type],
      success: function (res) {
        var avatar = res.tempFilePaths[0];
        app.restAjax.file(app.restAjax.path('{usercenterUrl}/app/file/uploadimage', [app.usercenterUrl]), avatar, 'image', {
          headers: {
            token: self.data.token
          }
        }, function (code, data) {
          var id = JSON.parse(data).data
          self.uploadAvatar(id)
        }, function (code, data) {
          console.log(data)
        })
        self.setData({
          userAvatar: avatar
        })
      }
    })
  },
  // 上传
  uploadAvatar: function (avatarId) {
    var self = this
    app.restAjax.put(app.restAjax.path('{usercenterUrl}/app/user/updateuseravatar', [app.usercenterUrl]), {
      avatar: avatarId
    }, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      wx.setStorageSync('token', data.data);
      self.getUserInfo()
    }, function (code, data) {
      console.log(data)
    })
  },
  // 获取用户信息
  getUserInfo: function () {
    var self = this
    app.restAjax.get(app.restAjax.path('{usercenterUrl}/app/user/getappuser', [app.usercenterUrl]), {}, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      self.setData({
        userInfo: data
      })
    }, function (code, data) {
      console.log(data)
    })
  },
  // 获取token
  getToken: function () {
    var self = this
    wx.getStorage({
      key: 'token',
      success: function(res) {
        self.setData({
          token: res.data
        })
        self.getUserInfo()
      },
    })
  },
  /**
   * 跳转到我的预订列表
   */
  toMyOrder: function() {
    wx.navigateTo({
      url: '../order/order',
    })
  },
  /**
   * 跳转到我的志愿团队页面
   */
  toMyTeam: function() {
    wx.navigateTo({
      url: '../myVolunteerTeam/myVolunteerTeam',
    })
  },
  /**
   * 跳转到我的志愿活动页面
   */
  toMyVolunteerActivity: function() {
    wx.navigateTo({
      url: '../myVolunteerActivity/myVolunteerActivity',
    })
  },
  /**
   * 跳转到我发布的朋友圈页面
   */
  toMyFirend: function () {
    wx.navigateTo({
      url: '../myFriendCircle/myFriendCircle',
    })
  },
  /**
   * 跳转到我预定的场馆页面
   */
  toMyOrder: function () {
    wx.navigateTo({
      url: '../order/order',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getToken()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})